List billing cycle options
apiToken orders:readAuthorizationBearer <token>A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.
Scope: orders:read
id*numberOperation completed or accepted; asynchronous actions may still be running.
application/json- response
enabled*booleancurrent*nextDueAt*stringdate-timedaysRemaining*numberpending*null|pendingInvoiceId*null|numberblocked*null|string|string|string|string|stringoptions*array<>curl -X GET 'https://api.deluxhost.net/v1/orders/0/cycle-options' \ -H "Authorization: Bearer $DELUXHOST_TOKEN"{ "enabled": true, "current": { "cycle": "string", "priceCents": 0, "monthlyEquivalentCents": 0 }, "nextDueAt": "2019-08-24T14:15:22Z", "daysRemaining": 0, "pending": null, "pendingInvoiceId": null, "blocked": null, "options": [ { "cycle": "string", "priceCents": 0, "monthlyEquivalentCents": 0, "direction": "longer", "effective": "now", "creditCents": 0, "chargeCents": 0, "diffCents": 0, "savingsPercent": 0 } ]}Cancel a pending plan change POST
Requires confirm: true. Inspect the resource before retrying an uncertain outcome. Requires Idempotency-Key. Use the same key and payload to replay a completed response. A 409 for a pending or failed attempt requires checking the resource; a new key could duplicate a charge or purchase.
Change the billing cycle POST
Requires confirm: true. Inspect the resource before retrying an uncertain outcome. Requires Idempotency-Key. Use the same key and payload to replay a completed response. A 409 for a pending or failed attempt requires checking the resource; a new key could duplicate a charge or purchase.